org.scalatest.matchers.Matchers

# ResultOfNotWordForInt

#### class ResultOfNotWordForInt extends ResultOfNotWord[Int]

This class is part of the ScalaTest matchers DSL. Please see the documentation for `ShouldMatchers` or `MustMatchers` for an overview of the matchers DSL.

Attributes
  final

Linear Supertypes
ResultOfNotWord[Int], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ResultOfNotWordForInt
2. ResultOfNotWord
3. AnyRef
4. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ResultOfNotWordForInt (left: Int, shouldBeTrue: Boolean)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def be (intTolerance: IntTolerance): Unit

   This method enables the following syntax:

   This method enables the following syntax:

       sevenDotOhInt should not be (4 plusOrMinus 2)
                                ^

8. #### def be (beMatcher: BeMatcher[Int]): Unit

   This method enables the following syntax, where `odd` refers to a `BeMatcher[Int]`:

   This method enables the following syntax, where `odd` refers to a `BeMatcher[Int]`:

       2 should not be (odd)
                    ^

   Definition Classes
     ResultOfNotWord

9. #### def be (comparison: ResultOfTripleEqualsApplication): Unit

   This method enables the following syntax:

   This method enables the following syntax:

       result should not be === (7)
                         ^

   Definition Classes
     ResultOfNotWord

10. #### def be (comparison: ResultOfGreaterThanComparison[Int]): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be > (7)
                          ^

    Definition Classes
      ResultOfNotWord

11. #### def be (comparison: ResultOfLessThanComparison[Int]): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be < (7)
                          ^

    Definition Classes
      ResultOfNotWord

12. #### def be (comparison: ResultOfGreaterThanOrEqualToComparison[Int]): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be >= (7)
                          ^

    Definition Classes
      ResultOfNotWord

13. #### def be (comparison: ResultOfLessThanOrEqualToComparison[Int]): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be <= (7)
                          ^

    Definition Classes
      ResultOfNotWord

14. #### def be (right: Any): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be (7)
                          ^

    Definition Classes
      ResultOfNotWord

15. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

16. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def equal (right: Any): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not equal (7)
                          ^

    Definition Classes
      ResultOfNotWord

18. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

20. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

22. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

23. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

24. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

25. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

26. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

27. #### def toString (): String

    Definition Classes
      AnyRef → Any

28. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

29. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

30. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from ResultOfNotWord[Int]

### Inherited from AnyRef

### Inherited from Any